cdac.medinfo.sdk.hl7282.hl7model.messages.applicationmanagement

## Class NMD_N02

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.applicationmanagement.NMD_N02

-     public final class NMD_N02
      extends Message

  The N02 event is triggered when an unsolicited update (UU) Application Management Data message (NMD) is created by on application to transmit application management information to other applications.

  Represents a NMD_N02 message structure (see chapter 14.3.2). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: CLOCK_AND_STATS_WITH_NOTES (a Group of segments in NMD_N02 message) MULTIPLE_COMPULSARY
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  NMD_N02 objN02 = (NMD_N02)MessageFactory.createInstance().createSendSupportedMessage("NMD", "N02");

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClockAndStatsWithNotesGroups(IGroup objGroup)` Adds CLOCK_AND_STATS_WITH_NOTES GROUP to this message.
    `void` | `addClockAndStatsWithNotesGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of CLOCK_AND_STATS_WITH_NOTES GROUP to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `ISingleCollection<IGroup>` | `getClockAndStatsWithNotesGroups()` Retrieves Collection of CLOCK_AND_STATS_WITH_NOTES GROUP present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential segment for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT)to be added in message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - Specified UAC Segment

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential segment for this message,overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getClockAndStatsWithNotesGroups

          public ISingleCollection<IGroup> getClockAndStatsWithNotesGroups()

      Retrieves Collection of CLOCK_AND_STATS_WITH_NOTES GROUP present in this message.
      Returns:
        ISingleCollection - Collection of CLOCK_AND_STATS_WITH_NOTES Group present in this Message.

    - #### addClockAndStatsWithNotesGroups

          public void addClockAndStatsWithNotesGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of CLOCK_AND_STATS_WITH_NOTES GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified CLOCK_AND_STATS_WITH_NOTES GROUP Collection to add in this message.

    - #### addClockAndStatsWithNotesGroups

          public void addClockAndStatsWithNotesGroups(IGroup objGroup)

      Adds CLOCK_AND_STATS_WITH_NOTES GROUP to this message.
      Parameters:
        `objGroup` - Specified CLOCK_AND_STATS_WITH_NOTES GROUP to add in this message.